#!/usr/bin/python
"""
Example of use with a template with a simple '$' variable pattern
"""


import sys
import os
import locale


pdir = os.path.dirname(os.getcwd())
sys.path.insert(0,pdir)    

import oootemplate as oo
from datetime import date

locale.setlocale(locale.LC_ALL, '')

class Libro():
    def __init__(self, i):
        self.title = "Book n %s" % i
        self.author = "Author-%s" % i
        self.price = 33
    def __repr__(self):
        return "<%s>" % self.title


content = {
    'Tabella1'     : [Libro(i) for i in range(50)]
    }

context = oo.Context(content)

# Connessione Locale
filename = os.path.abspath('template-many.odt')

# Connessione Remota
templ = oo.Template(filename, server='127.0.0.1', port=8100)

if len(sys.argv) > 1:
    templ.render(context)
    output_file = os.path.abspath(sys.argv[1])
    templ.save_as(output_file + '.pdf')
    print "written output in %s.pdf " % output_file 
    templ.save_as(output_file + '.odt')
    print "written output in %s.odt " % output_file 
    templ.document.close(True)

