#!/bin/bash

#-n {filename}
#Creates a new document using {filename} as a template. 
#
#-nologo
#Disables the splash screen at program start.
#
#-headless
#Starts in "headless mode" which allows using the application without user interface.
#This special mode can be used when the application is controlled by external clients via the API. 
#
#-p {filename1} {filename2} ...
#Prints the files {filename1} {filename2} ... to the default printer and ends. The splash screen does not appear.
#If the file name contains spaces, then it must be enclosed in quotation marks. 
#
# -invisible
# Starts in invisible mode.
# Neither the start-up logo nor the initial program window will be visible. However, the OpenOffice.org software can be controlled and documents and dialogs opened via the API.
# When the OpenOffice.org software has been started with this parameter, it can only be ended using the taskmanager (Windows) or the kill command (UNIX based systems).
# It cannot be used in conjunction with -quickstart.
#More information is found in the OpenOffice.org Developer's Guide.
#
#-nocrashreport
#Disables the error report tool.
#
#-norestore
#Disables restart and file recovery after a system crash. 

OPTIONS_DEFAULT='-accept="socket,host=localhost,port=2002;urp;StarOffice.ServiceManager"'
OPTIONS_EXTRA='-norestore -nologo'

eval /usr/bin/soffice $OPTIONS_DEFAULT $OPTIONS_EXTRA

