#!/usr/bin/env python

"""
OpenOffice.Org templte system

oootemplate is a template system that uses oasis .odt format -easily generated
with openoffice.org- as a template to generate reports.

oootemplate uses a runnning instance (server) of openoffice to connect to
via the 'uno' module. The openoffice server instance may also run on a
different server machine and possibly in headless mode (without graphics).

The possible output are pdf and odt.
"""

#License :: OSI Approved :: GNU Affero General Public License v3

classifiers = """\
Intended Audience :: Developers
Operating System :: MacOS
Operating System :: Microsoft
Operating System :: OS Independent
Operating System :: POSIX
Operating System :: POSIX :: Linux
Programming Language :: Python
Topic :: Software Development :: Libraries
Topic :: Software Development :: Libraries :: Application Frameworks
Topic :: Software Development :: Libraries :: Python Modules"""

from distutils.core import setup

try:
    import uno
except ImportError:
    import sys
    print "you need the module 'uno'  from OpenOffice.org"
    sys.exit(1)

f = open('oootemplate/__init__.py')
for line in f:
   if line.startswith('__version__'):
       version = line.split()[2].strip("'")

setup(name='oootemplate',
      version=version,
      description=__doc__,
      url='http://oootemplate.argolinux.org/',
      download_url='http://oootemplate.argolinux.org/download/',
      author='Alessandro Dentella, Simone Castellazzi',
      author_email='sandro@e-den.it',
      packages=['oootemplate'],
     )

